@echo off
echo Downloading the newest DS database... This may take a minute...
if exist ADVANsCEne_NDS.zip del ADVANsCEne_NDS.zip
wget http://www.advanscene.com/offline/datas/ADVANsCEne_NDS.zip
if not exist ADVANsCEne_NDS.zip goto couldntdl
unzip -qq -o ADVANsCEne_NDS.zip
if not exist ADVANsCEne_NDS.xml goto couldntunzip
if exist dsgames.xml del dsgames.xml
ren ADVANsCEne_NDS.xml dsgames.xml
if exist romlistds.bak del romlist.bak
if exist romlistds.txt ren romlistds.txt romlistds.bak
xml2romlistds -s
if not exist romlistds.txt goto couldntconvert
if exist /sysbin/romlistds.bak del /sysbin/romlistds.bak
if exist /sysbin/romlistds.txt ren /sysbin/romlistds.txt romlistds.bak
copy romlistds.txt sysbin
del romlistds.txt
echo Update complete!
goto end
:couldntdl
echo The database wasn't downloaded! Aborting!
goto end
:couldntunzip
echo The zip couldn't be extracted! Aborting!
goto end
:couldntconvert
echo The database couldn't be converted! Aborting!
:end
pause
